- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::State Struct Reference

Internal: the state of a StarObjectModel. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_previewMasterPage
| the default master page: -1 means not found, in general 1 in StarDrawDocument More...
std::vector< shared_ptr< Page > > | m_pageList
| list of pages More...
std::vector< shared_ptr< Page > > | m_masterPageList
| list of master pages More...
std::map< int, Layer > | m_idToLayerMap
| a map layerId to layer More...
std::vector< LayerSet > | m_layerSetList
| the list of layer set More...
std::vector< int > | m_pageToSendList
| the list of page to send More...
std::set< int > | m_masterPageToSendSet
| the list of master page to send More...

## Friends
std::ostream & | operator<< (std::ostream &o, State const &state)
| small operator<< to print the content of the state More...

## Detailed Description

Internal: the state of a StarObjectModel.

## Constructor & Destructor Documentation

StarObjectModelInternal::State::State | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | State const & | state
| ) |  |
| friend

small operator<< to print the content of the state

## Member Data Documentation

std::map<int, Layer> StarObjectModelInternal::State::m_idToLayerMap

a map layerId to layer

std::vector<LayerSet> StarObjectModelInternal::State::m_layerSetList

the list of layer set

std::vector<shared_ptr<Page> > StarObjectModelInternal::State::m_masterPageList

list of master pages

std::set<int> StarObjectModelInternal::State::m_masterPageToSendSet

the list of master page to send

std::vector<shared_ptr<Page> > StarObjectModelInternal::State::m_pageList

list of pages

std::vector<int> StarObjectModelInternal::State::m_pageToSendList

the list of page to send

int StarObjectModelInternal::State::m_previewMasterPage

the default master page: -1 means not found, in general 1 in StarDrawDocument

The documentation for this struct was generated from the following file:

- StarObjectModel.cxx